script.on_event(defines.events.on_player_created, function(event)
    local player = game.get_player(event.player_index)

    local frame = player.gui.screen.add{type="frame"}
    frame.style.width = 300
    frame.style.height = 400
    frame.force_auto_center()

    local flow = frame.add{type="flow", direction="vertical"}

    local pusher1 = flow.add{type="empty-widget"}
    pusher1.style.vertically_stretchable = true

    local long_string = "This is some long string that needs to wrap to multiple lines when used as a label caption, making apparent a bug in its height calculation pretty quickly. It gets clearer the longer you make the string, of course, which is why this has become a pretty rambly affair. Guess I should stop now."
    local label = flow.add{type="label", caption=long_string}
    label.style.single_line = false

    local pusher2 = flow.add{type="empty-widget"}
    pusher2.style.vertically_stretchable = true
end)